#language: ru

@labeling

Функционал: 009. Labeling. Создание заказов клиентов

Сценарий: 009.1. Labeling. Создание заказов клиентов

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку 'Загрузить заказы из файла'
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И я меняю значение переключателя 'Вариант загрузки' на 'Из внешнего файла'
	И я перехожу к закладке "Страница вариант загрузка из файла"
	Тогда открылось окно 'Загрузка заказов клиента из файла'
	И Я буду читать файл "Заказы клиента.csv"
	И я нажимаю на кнопку 'Загрузить таблицу из файла...'
	И я жду открытия окна 'Заказы клиентов' в течение 60 секунд
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 009.2. Labeling. Проверка загрузки заказов отчетом

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И я нажимаю на гиперссылку "Анализ исполнения заказов"
	Тогда открылось окно 'Анализ исполнения заказов'
	И Я в отчете устанавливаю период "01.10.2019" "30.11.2019"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Проверка загрузки заказов"
	И Я закрываю окно 'Анализ исполнения заказов'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 009.3. Labeling. Завершение

	И Я закрыл все окна клиентского приложения